# Class NumEvents

java.lang.Object
javax.servlet.GenericServlet
javax.servlet.http.HttpServlet
org.apache.zookeeper.graph.servlets.JsonServlet
org.apache.zookeeper.graph.servlets.NumEvents

All Implemented Interfaces:
  `Serializable, javax.servlet.Servlet, javax.servlet.ServletConfig`

public class NumEvents extends JsonServlet

See Also:
  - Serialized Form

## Nested Class Summary

### Nested classes/interfaces inherited from class JsonServlet

`JsonServlet.JsonRequest`

## Constructor Summary

Constructors
Constructor
Description
`NumEvents(LogSource src)`

## Method Summary

### Methods inherited from class JsonServlet

`doGet`

### Methods inherited from class javax.servlet.http.HttpServlet

`doDelete, doHead, doOptions, doPost, doPut, doTrace, getLastModified, service, service`

### Methods inherited from class javax.servlet.GenericServlet

`destroy, getInitParameter, getInitParameterNames, getServletConfig, getServletContext, getServletInfo, getServletName, init, init, log, log`

### Methods inherited from class Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Constructor Details

### NumEvents

public NumEvents(LogSource src) throws Exception

Throws:
  `Exception`